[MacOSX SeaMonkey] reftest: intermittent "test-async.html | assertion count 1 is more than expected 0 assertions". (ASSERTION: NULL mIconRequest! Multiple calls to OnStopRequest()?:)

RESOLVED WORKSFORME

Status

()

defect
--
major
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Blocks 1 bug, {assertion, intermittent-failure, regression})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

()

Examples:

1 assertion case:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283383810.1283384974.21281.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/09/01 16:30:10
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/comm-central-trunk-macosx-debug-unittest-reftest/build/reftest/tests/layout/reftests/reftest-sanity/test-async.html | assertion count 1 is more than expected 0 assertions

2 assertions case:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283438017.1283439218.15639.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/09/02 07:33:37
REFTEST TEST-UNEXPECTED-FAIL | file:///builds/slave/comm-central-trunk-macosx-debug-unittest-reftest/build/reftest/tests/layout/reftests/reftest-sanity/test-async.html | assertion count 2 is more than expected 0 assertions

***

First occurrence was: (though I checked 1-3 previous days only)
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1281180579.1281181464.10018.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/08/07 04:29:39

But, as this is random, I can't provide a (exact) timeframe.

*****

Fwiw, I couldn't find test-async.html on TopFails, only test-async.xul :-/
Would our (reftest) log(s) not be integrated there?
Depends on: 564234
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289013571.1289014882.26541.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/11/05 20:19:31
{
###!!! ASSERTION: NULL mIconRequest!  Multiple calls to OnStopRequest()?: 'mIconRequest', file /builds/slave/comm-central-trunk-macosx-debug/build/mozilla/widget/src/cocoa/nsMenuItemIconX.mm, line 549
nsMenuItemIconX::OnStopRequest [widget/src/cocoa/nsMenuItemIconX.mm:550]
imgRequestProxy::OnStopRequest [modules/libpr0n/src/imgRequestProxy.cpp:710]
imgStatusTracker::SendStopRequest [modules/libpr0n/src/imgStatusTracker.cpp:524]
imgRequest::OnStopRequest [modules/libpr0n/src/imgRequest.cpp:959]
ProxyListener::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2008]
imgCacheValidator::OnStopRequest [modules/libpr0n/src/imgLoader.cpp:2164]
nsJARChannel::OnStopRequest [modules/libjar/nsJARChannel.cpp:907]
nsInputStreamPump::OnStateStop [netwerk/base/src/nsInputStreamPump.cpp:579]
nsInputStreamPump::OnInputStreamReady [netwerk/base/src/nsInputStreamPump.cpp:403]
nsInputStreamReadyEvent::Run [xpcom/io/nsStreamUtils.cpp:113]
nsThread::ProcessNextEvent [xpcom/threads/nsThread.cpp:609]
NS_ProcessPendingEvents_P [nsThreadUtils.cpp:200]
nsBaseAppShell::NativeEventCallback [widget/src/xpwidgets/nsBaseAppShell.cpp:132]
nsAppShell::ProcessGeckoEvents [widget/src/cocoa/nsAppShell.mm:400]
CoreFoundation + 0x733c5
CoreFoundation + 0x73aa8
HIToolbox + 0x302ac
HIToolbox + 0x2fffe
HIToolbox + 0x2ff39
AppKit + 0x406d5
AppKit + 0x3ff88
AppKit + 0x38f9f
nsAppShell::Run [widget/src/cocoa/nsAppShell.mm:746]
nsAppStartup::Run [toolkit/components/startup/src/nsAppStartup.cpp:191]
XRE_main [toolkit/xre/nsAppRunner.cpp:3682]
main [suite/app/nsSuiteApp.cpp:103]
seamonkey-bin + 0x170e
}

"blocking2.0=?":
Whole stack is in Core.
blocking2.0: --- → ?
Component: Testing Infrastructure → Widget: Cocoa
Keywords: assertion
Product: SeaMonkey → Core
QA Contact: testing-infrastructure → cocoa
Severity: normal → major
Summary: [(Debug) MacOSX Seamonkey] reftest: intermittent "test-async.html | assertion count 1 is more than expected 0 assertions" → [(Debug) MacOSX SeaMonkey] reftest: intermittent "test-async.html | assertion count 1 is more than expected 0 assertions"
Depends on: 473841
(In reply to comment #1)
> http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289013571.1289014882.26541.gz
> OS X 10.5 comm-central-trunk debug test reftest on 2010/11/05 20:19:31

Fwiw, same build as bug 598577 comment 3.
blocking2.0: ? → ---
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289098590.1289099877.1137.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/11/06 19:56:30

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289133791.1289135130.21997.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/11/07 04:43:11
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290223871.1290225195.9356.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/11/19 19:31:11

Again, same build as bug 598577 comment 5.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290504526.1290505882.10076.gz
OS X 10.5 comm-central-trunk debug test reftest on 2010/11/23 01:28:46
Summary: [(Debug) MacOSX SeaMonkey] reftest: intermittent "test-async.html | assertion count 1 is more than expected 0 assertions" → [MacOSX SeaMonkey] reftest: intermittent "test-async.html | assertion count 1 is more than expected 0 assertions". (ASSERTION: NULL mIconRequest! Multiple calls to OnStopRequest()?:)
Bug 598577, bug 610225, bug 613708, and bug 635796 all look awfully similar to this one.  Serge, you reported 3 of those!

I just saw this on TraceMonkey:
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1305685612.1305692852.14934.gz
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.